Create Embeddings
curl --request POST \
--url https://api.apiyi.com/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "text-embedding-ada-002",
"input": "这是一段需要向量化的文本示例"
}
'import requests
url = "https://api.apiyi.com/v1/embeddings"
payload = {
"model": "text-embedding-ada-002",
"input": "这是一段需要向量化的文本示例"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'text-embedding-ada-002', input: '这是一段需要向量化的文本示例'})
};
fetch('https://api.apiyi.com/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.0023064255,
-0.009327292,
0.015797347
]
}
],
"model": "text-embedding-ada-002",
"usage": {
"prompt_tokens": 12,
"total_tokens": 12
}
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_api_key"
}
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_request_error",
"param": "<string>",
"code": "invalid_api_key"
}
}API 参考
Create Embeddings
文本向量化接口在线调试 — 填入 API Key 即可发送请求、查看响应。POST /v1/embeddings
POST
/
v1
/
embeddings
Create Embeddings
授权
在 API易控制台获取的 API Key
请求体
application/json
此页面对您有帮助吗?
⌘I